MP4v2

Public Types | Public Member Functions | Static Public Member Functions | List of all members
mp4v2::platform::io::FileProvider Class Referenceabstract
Inheritance diagram for mp4v2::platform::io::FileProvider:

## Public Types
enum | Mode { MODE_UNDEFINED , MODE_READ , MODE_MODIFY , MODE_CREATE }
| file operation mode flags More...
typedef int64_t | Size
| type used to represent all file sizes and offsets

## Public Member Functions
virtual bool | open (const std::string &name, Mode mode)=0
virtual bool | seek (Size pos)=0
virtual bool | read (void *buffer, Size size, Size &nin)=0
virtual bool | write (const void *buffer, Size size, Size &nout)=0
virtual bool | truncate (Size size)=0
virtual bool | close ()=0
virtual bool | getSize (Size &nout)=0

## Static Public Member Functions
static FileProvider & | standard ()

## Member Enumeration Documentation

## ◆ Mode

enum mp4v2::platform::io::FileProvider::Mode

file operation mode flags

Enumerator
MODE_UNDEFINED | undefined
MODE_READ | file may be read
MODE_MODIFY | file may be read/written
MODE_CREATE | file will be created/truncated for read/write

## Member Function Documentation

## ◆ close()

virtual bool mp4v2::platform::io::FileProvider::close | ( |  | ) |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ getSize()

virtual bool mp4v2::platform::io::FileProvider::getSize | ( | Size & | nout | ) |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ open()

virtual bool mp4v2::platform::io::FileProvider::open | ( | const std::string & | name,
|  | Mode | mode
| ) |  |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ read()

virtual bool mp4v2::platform::io::FileProvider::read | ( | void * | buffer,
|  | Size | size,
|  | Size & | nin
| ) |  |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ seek()

virtual bool mp4v2::platform::io::FileProvider::seek | ( | Size | pos | ) |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ truncate()

virtual bool mp4v2::platform::io::FileProvider::truncate | ( | Size | size | ) |
| pure virtual

Implemented in mp4v2::platform::io::File.

## ◆ write()

virtual bool mp4v2::platform::io::FileProvider::write | ( | const void * | buffer,
|  | Size | size,
|  | Size & | nout
| ) |  |
| pure virtual

Implemented in mp4v2::platform::io::File.